Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.insert
Class InsertSelectIdentityInsert

    java.lang.Object
      org.hibernate.sql.Insert
          org.hibernate.id.insert.IdentifierGeneratingInsert
              org.hibernate.id.insert.InsertSelectIdentityInsert

    public class InsertSelectIdentityInsert

extends IdentifierGeneratingInsert

Specialized IdentifierGeneratingInsert which appends the database specific clause which signifies to return generated IDENTITY values to the end of the insert statement.

Constructor Summary
`InsertSelectIdentityInsert(Dialect dialect)`

Method Summary
`String` | `toStatementString()`

Methods inherited from class org.hibernate.sql.Insert
`addColumn, addColumn, addColumn, addColumns, addColumns, addColumns, addIdentityColumn, getDialect, setComment, setTableName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertSelectIdentityInsert

    public InsertSelectIdentityInsert(Dialect dialect)

Method Detail

### toStatementString

    public String toStatementString()

  Overrides:
    `toStatementString` in class `Insert`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.